DK API 文档

xigua

7 个接口

GETfetch one video

GET https://dkai.store/api/v1/xigua/app/v2/fetch_one_video

1 积分 / 成功调用

参数位置要求说明
item_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xigua/app/v2/fetch_one_video?item_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch one video play url

GET https://dkai.store/api/v1/xigua/app/v2/fetch_one_video_play_url

1 积分 / 成功调用

参数位置要求说明
item_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xigua/app/v2/fetch_one_video_play_url?item_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch one video v2

GET https://dkai.store/api/v1/xigua/app/v2/fetch_one_video_v2

1 积分 / 成功调用

参数位置要求说明
item_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xigua/app/v2/fetch_one_video_v2?item_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user info

GET https://dkai.store/api/v1/xigua/app/v2/fetch_user_info

1 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xigua/app/v2/fetch_user_info?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user post list

GET https://dkai.store/api/v1/xigua/app/v2/fetch_user_post_list

1 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xigua/app/v2/fetch_user_post_list?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video comment list

GET https://dkai.store/api/v1/xigua/app/v2/fetch_video_comment_list

1 积分 / 成功调用

参数位置要求说明
item_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xigua/app/v2/fetch_video_comment_list?item_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch video

GET https://dkai.store/api/v1/xigua/app/v2/search_video

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xigua/app/v2/search_video?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。